RecordOutput (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.record
Interface RecordOutput

All Known Implementing Classes:
  BinaryRecordOutput, CsvRecordOutput, TypedBytesRecordOutput, XmlRecordOutput

    public interface RecordOutput

Interface that alll the serializers have to implement.

Method Summary
`void` | `endMap(TreeMap m, String tag)` Mark the end of a serialized map.
`void` | `endRecord(Record r, String tag)` Mark the end of a serialized record.
`void` | `endVector(ArrayList v, String tag)` Mark the end of a serialized vector.
`void` | `startMap(TreeMap m, String tag)` Mark the start of a map to be serialized.
`void` | `startRecord(Record r, String tag)` Mark the start of a record to be serialized.
`void` | `startVector(ArrayList v, String tag)` Mark the start of a vector to be serialized.
`void` | `writeBool(boolean b, String tag)` Write a boolean to serialized record.
`void` | `writeBuffer(Buffer buf, String tag)` Write a buffer to serialized record.
`void` | `writeByte(byte b, String tag)` Write a byte to serialized record.
`void` | `writeDouble(double d, String tag)` Write a double precision floating point number to serialized record.
`void` | `writeFloat(float f, String tag)` Write a single-precision float to serialized record.
`void` | `writeInt(int i, String tag)` Write an integer to serialized record.
`void` | `writeLong(long l, String tag)` Write a long integer to serialized record.
`void` | `writeString(String s, String tag)` Write a unicode string to serialized record.

Method Detail

### writeByte

    void writeByte(byte b,
                   String tag)
                   throws IOException

  Write a byte to serialized record.

  Parameters:
    `b` - Byte to be serialized
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException` - Indicates error in serialization

### writeBool

    void writeBool(boolean b,
                   String tag)
                   throws IOException

  Write a boolean to serialized record.

  Parameters:
    `b` - Boolean to be serialized
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException` - Indicates error in serialization

### writeInt

    void writeInt(int i,
                  String tag)
                  throws IOException

  Write an integer to serialized record.

  Parameters:
    `i` - Integer to be serialized
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException` - Indicates error in serialization

### writeLong

    void writeLong(long l,
                   String tag)
                   throws IOException

  Write a long integer to serialized record.

  Parameters:
    `l` - Long to be serialized
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException` - Indicates error in serialization

### writeFloat

    void writeFloat(float f,
                    String tag)
                    throws IOException

  Write a single-precision float to serialized record.

  Parameters:
    `f` - Float to be serialized
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException` - Indicates error in serialization

### writeDouble

    void writeDouble(double d,
                     String tag)
                     throws IOException

  Write a double precision floating point number to serialized record.

  Parameters:
    `d` - Double to be serialized
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException` - Indicates error in serialization

### writeString

    void writeString(String s,
                     String tag)
                     throws IOException

  Write a unicode string to serialized record.

  Parameters:
    `s` - String to be serialized
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException` - Indicates error in serialization

### writeBuffer

    void writeBuffer(Buffer buf,
                     String tag)
                     throws IOException

  Write a buffer to serialized record.

  Parameters:
    `buf` - Buffer to be serialized
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException` - Indicates error in serialization

### startRecord

    void startRecord(Record r,
                     String tag)
                     throws IOException

  Mark the start of a record to be serialized.

  Parameters:
    `r` - Record to be serialized
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException` - Indicates error in serialization

### endRecord

    void endRecord(Record r,
                   String tag)
                   throws IOException

  Mark the end of a serialized record.

  Parameters:
    `r` - Record to be serialized
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException` - Indicates error in serialization

### startVector

    void startVector(ArrayList v,
                     String tag)
                     throws IOException

  Mark the start of a vector to be serialized.

  Parameters:
    `v` - Vector to be serialized
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException` - Indicates error in serialization

### endVector

    void endVector(ArrayList v,
                   String tag)
                   throws IOException

  Mark the end of a serialized vector.

  Parameters:
    `v` - Vector to be serialized
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException` - Indicates error in serialization

### startMap

    void startMap(TreeMap m,
                  String tag)
                  throws IOException

  Mark the start of a map to be serialized.

  Parameters:
    `m` - Map to be serialized
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException` - Indicates error in serialization

### endMap

    void endMap(TreeMap m,
                String tag)
                throws IOException

  Mark the end of a serialized map.

  Parameters:
    `m` - Map to be serialized
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException` - Indicates error in serialization

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation